## criticalmass 1.0.0

=== debian/changelog ===
criticalmass (1:1.0.0-6) unstable; urgency=medium

  * QA upload.
  * Convert to dh build.
  * Bump Standards-Version to 4.1.0.
    - Drop obsolete menu file
  * Enable all hardening options.
    - Add patch to honour CXXFLAGS
  * Support proper autoreconfiguring
    - Drop unneeded autogen patch
    - Initialize automake correctly
  * Remove ancient postrm / preinst that converted doc symlink to directory.
  * Create resource.dat with sorted file list to allow reproducible building.
  * Move .desktop file from criticalmass-data to criticalmass binary package.
    - Add corresponding Breaks / Replaces
  * Add watch file.
  * Add missing patch headers.
  * Drop unnecessary criticalmass-data.dirs file.
  * Fix spelling error found by lintian.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 19 Sep 2017 16:00:22 +0200

criticalmass (1:1.0.0-5) unstable; urgency=medium

  * QA upload.
  * Force building with the older gnu++98 standard.
    Thanks to Adrian Bunk for the patch. (Closes: #811816)
  * Switch to compat level 10.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.8.
  * Remove obsolete Replaces field and drop g++ build-dependency.
  * criticalmass.desktop: Add keywords and a comment in German.

 -- Markus Koschany <apo@debian.org>  Sat, 08 Oct 2016 21:43:58 +0200

criticalmass (1:1.0.0-4) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with libpng16, depend on libpng-dev (closes: #809863).
  * Build autoconfage from source (needed to detect libpng16).
  * Use system libcurl (closes: #599061).
  * Add build-arch and build-indep targets.
  * Properly use zlib encludes.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 12 Jan 2016 10:12:01 +0100

criticalmass (1:1.0.0-3) unstable; urgency=medium

  * QA upload.
  * Remove puckman/Makefile and utilities/Makefile by hand.
  * debian/generated-files.txt: Files generated by ./configure.
  * debian/rules: Remove those files in the clean target.
  * Switch to "3.0 (quilt)" source format.
  * debian/patches/do-not-embed-the-build-date: New patch.
    Change game/OnlineUpdate.cpp and game/main.cpp to stop using
    __DATE__ and __TIME__. This should make the build reproducible.
  * Switch to pristine source in tar.bz2 format.

 -- Santiago Vila <sanvila@debian.org>  Sat, 05 Sep 2015 13:15:26 +0200

criticalmass (1:1.0.0-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMU (Closes: #580729).
  * Use autotools-dev to update config.{sub,guess} for new arches (Closes:
    #733474).
  * Update the Homepage: field to the project one (Closes: #348275).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 05 Oct 2014 01:33:56 +0200

criticalmass (1:1.0.0-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * d/control: Add missing libpng12-dev to Build-Depends,
    fixes FTBFS. (Closes: #669553)
  * d/criticalmass.desktop, d/critter.xpm, d/menu,
    d/criticalmass-data.dirs, d/criticalmass-data.install:
    - Added a .desktop file and updated menu file.
    - Installed provided png file, and generated xpm icon.
    - Above changes merged from Ubuntu. (Closes: #448326, #666174)

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 05 May 2012 22:49:42 +0200

criticalmass (1:1.0.0-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Build-Depends 
    - replace xlibmesa-dev to libgl1-mesa-dev (Closes: #581825)

 -- tony mancill <tmancill@debian.org>  Sun, 16 May 2010 13:30:07 -0700

criticalmass (1:1.0.0-1.3) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
  * debian/compat
    - New file; value 7.
  * debian/control
    - (Build-Depends): remove obsolete libglu1-xorg-dev
      (important; Closes: #578969). Add autotools-dev due to new
      config.* files.
  * debian/control
    - Delete EOL whitespaces.
    - (Build-Depends): Update to debhelper 7.1. Remove all "*-N"
      suffixes from dependencies (W: Lintian).
    - (Depends): add ${misc:Depends}.
    - (Homepage): Add new field.
    - (Standards-Version): Update from ancient 3.6.1.0 to 3.8.4.
  * debian/menu:
    - (seaction): Change unknown "Arcade" to "Adventure".
  * debian/rules
    - (DH_COMPAT): Remove, use debian/compat instead.
    - (clean): Fix debian-rules-ignores-make-clean-error.
    - (configure-stamp): Use latest config.* files.
      (FTBFS; Closes: #550110).
    - (install): Change ch_clean with dh_prep.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 02 May 2010 21:49:33 +0300

criticalmass (1:1.0.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr> (Closes: #455156)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 17:11:36 +0100

criticalmass (1:1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make binNMU safe (Closes: #432982).
  * Fix FTBFS with GCC 4.3 (Closes: #417135).

 -- Luk Claes <luk@debian.org>  Sat, 01 Sep 2007 14:55:46 +0000

criticalmass (1:1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Thu,  5 Jan 2006 19:22:35 -0800

criticalmass (1:0.9.12-5) unstable; urgency=low

  * Downgrade criticalmass-data's Dependency on criticalmass to a
    Suggests. (Closes: #339903)
  
  * Give criticalmass-data a real doc directory and remove the symlink
    from old versions on upgrade.
  
  * Explicitly remove curl/config.{log,status} in
    the clean target, as they seem to get included
    when pdebuild is used.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 20 Nov 2005 16:33:38 -0800

criticalmass (1:0.9.12-4) unstable; urgency=low

  * Update upstream's email in debian/copyright.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 22 Oct 2005 13:18:12 -0700

criticalmass (1:0.9.12-3) unstable; urgency=low

  * Fix FTBFS on alpha. (Closes: #335115)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 22 Oct 2005 12:21:33 -0700

criticalmass (1:0.9.12-2) unstable; urgency=low


