=== debian/control ===
Source: criticalmass
Section: games
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 10),
 libcurl4-gnutls-dev,
 libgl1-mesa-dev | libgl-dev,
 libpng-dev,
 libsdl-image1.2-dev (>= 1.2.2),
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 zlib1g-dev
Standards-Version: 4.1.0
Homepage: http://criticalmass.sourceforge.net/critter.php

Package: criticalmass
Architecture: any
Depends:
 criticalmass-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Replaces: criticalmass-data (<< 1:1.0.0-6)
Breaks: criticalmass-data (<< 1:1.0.0-6)
Description: Shoot-em-up a la galaxian
 criticalmass, aka critter, is a shoot-'em-up in the style of Galaxian with
 very colorful and smooth graphics (provided that you have 3d acceleration)
 .
 Note: criticalmass uses OpenGL, and will probably not run well if you do
 not have a 3d accelerator which is supported by X.

Package: criticalmass-data
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 criticalmass (>= ${source:Version})
Description: Shoot-em-up a la galaxian (data files)
 criticalmass, aka critter, is a shoot-'em-up in the style of Galaxian with
 very colorful and smooth graphics (provided that you have 3d acceleration)
 .
 This package provides architecture-independent data files for criticalmass.
