=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --datadir=\$${prefix}/share/games --bindir=\$${prefix}/games

override_dh_auto_build:
	dh_auto_build -- pkgdatadir=/usr/share/games/criticalmass

override_dh_auto_install:
	dh_auto_install -- pkgdatadir=/usr/share/games/criticalmass
