=== debian/watch ===
version=4
http://sf.net/criticalmass/ CriticalMass-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
