## criticalmass 1.0.2

=== debian/changelog ===
criticalmass (1:1.0.2-2) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to level 13.
    - Add no required files to debian/not-installed.
  * Update debian/watch file standard to version 4.
  * Add forwarded headers to debian/patches/.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:56:40 +0100

criticalmass (1:1.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Rework the whole packaging.
  * Remove extra whitespaces from debian/changelog.
  * Adjust debian/watch so that only releases with two dots are monitored.
  * Bump Standards-Version to 4.5.0.
  * Use debhelper-compat level 12.
  * Add patch 10-manpage-whatis-entry.
  * Add manpage for Packer.
  * Upgrade criticalmass-data suggest on criticalmass to recommends.
  * Add doc-base file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 Jan 2020 09:44:39 +0100

criticalmass (1:1.0.0-7) unstable; urgency=medium

  * Adopt package.
    Closes: #738892

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Jan 2020 12:07:52 +0100
