=== debian/control ===
Source: criticalmass
Section: games
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 13),
 libcurl4-gnutls-dev,
 libgl1-mesa-dev | libgl-dev,
 libpng-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 zlib1g-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/criticalmass/

Package: criticalmass
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 criticalmass-data (= ${source:Version})
Replaces: criticalmass-data (<< 1:1.0.0-6)
Breaks: criticalmass-data (<< 1:1.0.0-6)
Description: Shoot-em-up a la galaxian
 criticalmass, aka critter, is a shoot-'em-up in the style of Galaxian with
 very colorful and smooth graphics (provided that you have 3d acceleration)
 .
 Note: criticalmass uses OpenGL, and will probably not run well if you do
 not have a 3d accelerator which is supported by X.

Package: criticalmass-data
Architecture: all
Depends: ${misc:Depends}
Recommends: criticalmass
Description: Shoot-em-up a la galaxian (data files)
 criticalmass, aka critter, is a shoot-'em-up in the style of Galaxian with
 very colorful and smooth graphics (provided that you have 3d acceleration)
 .
 This package provides architecture-independent data files for criticalmass.
