=== debian/watch ===
version=4
http://sf.net/criticalmass/CriticalMass-(.*\..*\..*)\.tar\.bz2
